ExpandCollapseButton = class();

local Constants =
{
	Size =
	{
		Width = 18,
		Height = 18
	},
	Icons =
	{
		Expand = "Simbo/Poetical/Icons/Panel_Expand.tga",
		Collapse = "Simbo/Poetical/Icons/Panel_Collapse.tga"
	}
}
function ExpandCollapseButton:Constructor(parent)
	self.Parent = parent;
	self.Collapsed = true;
	
	self.Button = Turbine.UI.Button();
	self.Button:SetParent(parent);
	self.Button:SetSize(Constants.Size.Width, Constants.Size.Height);
	self.Button:SetBackground(Constants.Icons.Expand);
	
	self.Button.MouseClick = function(sender, args)
		if args.Button == Turbine.UI.MouseButton.Left then
			self:SetCollapsedState(not self.Collapsed);
			self.Clicked(self, { Collapsed = self.Collapsed });
		end
	end
	
	self.Clicked = function(sender, args) end;
end

function ExpandCollapseButton:SetPosition(left, top)
	self.Button:SetPosition(left, top);
end

function ExpandCollapseButton:GetHeight()
	return self.Button:GetHeight();
end

function ExpandCollapseButton:GetWidth()
	return self.Button:GetWidth();
end

function ExpandCollapseButton:SetCollapsedState(collapsed)
	self.Collapsed = collapsed;
	if collapsed then
		self.Button:SetBackground(Constants.Icons.Expand);
	else
		self.Button:SetBackground(Constants.Icons.Collapse);
	end
end